
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于 chrome 重复提交的问题 / iVAN</title>

    <meta name="description" content="关于 chrome 重复提交的问题 问题描述 关于 chrome 重复提交的问题 如题,有如下代码 : 当使用查看元素修改 onclick=&quot;alert('2');&quot;时,比如将 onclick=&quot;alert('2');&quot; 改为了 onclick=&quot;alert('1');&quot; chrome 会先弹出 提示 1,之后 再弹出提示 2 其他浏览器只弹出 1,请教各位大神,这个是什么原理. 怎么操作,才能让 chrome 只弹出 提示 1 解决方案 刚刚测试了你说的问题,以前没有发 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">关于 chrome 重复提交的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于 chrome 重复提交的问题
        </dt>
<dd>
          <br />如题，有如下代码 ：</p>
<p>当使用查看元素修改 onclick="alert(&#039;2&#039;);"时，比如将 onclick="alert(&#039;2&#039;);" 改为了 onclick="alert(&#039;1&#039;);"  chrome  会先弹出 提示 1，之后 再弹出提示 2</p>
<p>其他浏览器只弹出 1，请教各位大神，这个是什么原理。</p>
<p>怎么操作，才能让  chrome  只弹出 提示 1</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>刚刚测试了你说的问题,以前没有发现这个状况,实际上说明Chrome在编辑元素事件时没有移除原有的事件侦听器<br />
平常在使用addEventListener的时候也是要先移除事件事件侦听器,再添加,但如果为元素附加事件的时候使用了匿名函数就无法移除事件，会出现同一个事件被多个侦听器捕捉到的情况。</p>
<p>解决方案二：<br />
    <br /><a href="http://blog.csdn.net/bolink5/article/details/3952236" rel="external nofollow noreferrer">重复提交的问题</a><br /><a href="http://blog.csdn.net/mei1051020685/article/details/41039215" rel="external nofollow noreferrer">针对表单重复提交的问题</a><br /><a href="http://blog.csdn.net/hahalzb/article/details/5944533" rel="external nofollow noreferrer">Struts2 token 重复提交问题</a></p>
<p>解决方案三：<br />
    <br />楼主是不是 有别的代码 没有修改干净。不然，就清浏览器缓存。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:39:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/chrome/" title="chrome">chrome</a>, <a href="https://www.iamivan.net/tag/%e9%87%8d%e5%a4%8d%e6%8f%90%e4%ba%a4/" title="重复提交">重复提交</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>关于 chrome 重复提交的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMy3Q8z.html" rel="bookmark">一种表单重复提交处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				表单重复提交处理: 1. 在生成表单时执行如下:    session.setAttribute(&quot;forum_add&quot;, &quot;forum_add&quot;); 2. 提交处理时作如下判断         if (isRedo(request, &quot;forum_add&quot;)) {            //提示重复提交,作相关处理        } 相关函数:     /**     * 判断是否为重复提交     * 1,检查Session中是否含有指定名字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlx0LM.html" rel="bookmark">JSP实例 服务器端判断表单是否重复提交</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在服务器端判断表单是否重复提交,主要可以考虑在页面之间通过Session共享标志变量的方法来实现,即在客户端页面设置Session中的标志变量,然后在服务器段对Session中的标志变量进行判断. 1.新建一个ServerTest.jsp文件,代码如下: &lt;%@ page language=&quot;java&quot; contentType=&quot;text/html; charset=Gb2312&quot; pageEncoding=&quot;Gb2312&quot;%&gt;&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4JqNM.html" rel="bookmark">网页防刷新重复提交、防后退解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决|刷新|网页|重复|重复提交 提交后禁用提交按钮(大部分人都是这样做的) 如果客户提交后,按F5刷新怎么办? 使用Session 在提交的页面也就是数据库处理之前: if session(&quot;ok&quot;)=true thenresponse.write &quot;错误,正在提交&quot;response.endend if 数据处理完后,修改session(&quot;ok&quot;)=false. 数据处理成功马上Redirect到另外一个页面 操作后刷新的确是个问题,你可以使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM69yyb.html" rel="bookmark">在ASP应用程序中限制重复提交同一表单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|重复|重复提交|重复提交    在Internet上我们每天都会遇到数不清的表单,也看到其中大部分并没有限制用户多次提交同一个表单.缺乏这种限制有时候会产生某些预料不到的结果,如重复订阅邮件服务或重复投票等.或许一些asp初学者并不清楚在asp应用中如何限制重复提交同一表单,所以在这里向大家介绍在ASP应用中防止用户在当前会话期间多次提交同一表单的一个简单方法.    这个工作主要由四个子程序组成,在较为简单的应用场合,你只要将这些代码放在包含文件中直接引用即可:对于那些较为复杂的环境,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5egRp.html" rel="bookmark">页面防重复提交方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候我们的程序执行比较慢,而且我们页面也不怎么友好,没什么提示信息.操作人员以为没有点击提交按钮,就会再一次点击提交.这会导致很多问题出现.下面介绍三种防重复提交的方法.   1.提交按钮置disabled         当用户提交后,立即把按钮置为不可用状态.这种用js来实现.            提交前           $(&quot;#submit&quot;).attr('disabled','true');          $(&quot;#submit&quot;).val(&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b21mrz.html" rel="bookmark">JSP避免Form重复提交三种方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|重复|重复提交 1 javascript ,设置一个变量,只允许提交一次. &lt;script language=&quot;javascript&quot;&gt;var checkSubmitFlg = false;function checkSubmit() {if (checkSubmitFlg == true) {return false;}checkSubmitFlg = true;return true;}document.ondblclick = function docondbl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPKnlM.html" rel="bookmark">通过JS在客户端限止用户重复提交的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序介绍:1.方法一:hiddenForm 隐藏表单法: 查看函数 hiddenForm2.方法二:disButtons 禁用按钮法: 查看函数 disButtons disButtons23.本程序为客户端javascript程序限制多次提交,冰河原创首发蓝色理想,欢迎大家转载,但请保留本人信息,谢谢4.源码发布在我的手机主题站: http://www.qumiao.com/javascript/disRepSubmit.rar (本人所有原创程序均打包发在此)5.作者邮箱及QQ: bingh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boZkEz.html" rel="bookmark">Web应用中避免Form重复提交的三种方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|重复|重复提交 前两种是利用javascript,后面一种是在使用Struts的情况下的参考实现: 1.javascript ,设置一个变量,只允许提交一次. &lt;script language=&quot;javascript&quot;&gt; var checkSubmitFlg = false; function checkSubmit() { if (checkSubmitFlg == true) { return false; } checkSubmitFlg = true; re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQRBGM.html" rel="bookmark">asp中实现限制重复提交同一表单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				重复|重复提交 在Internet上我们每天都会遇到数不清的表单,也看到其中大部分并没有限制用户多次提交同一个表单.缺乏这种限制有时候会产生某些预料不到的结果,如重复订阅邮件服务或重复投票等.或许一些asp初学者并不清楚在asp应用中如何限制重复提交同一表单,所以在这里向大家介绍在ASP应用中防止用户在当前会话期间多次提交同一表单的一个简单方法. 这个工作主要由四个子程序组成,在较为简单的应用场合,你只要将这些代码放在包含文件中直接引用即可:对于那些较为复杂的环境,我们在文章的最后给出一些改进建			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3XPwM.html" rel="bookmark" class="title">网站设计的思考-确定网站的栏目和版块</a>
					<div>
						设计 &lt;设计的思考&gt;系列文章,今天开始写第三篇.阿捷不是专业的网页设计师,但阿捷将尽自己所能把这个系列文章写好,尽可能将自己实践过程中总结的经验和心得告诉给大家,希望能给您一点收获,一点启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyy85M.html" rel="bookmark" class="title">扬扬的J2EE学习笔记（四）Platform Services平台服务</a>
					<div>
						j2ee|services|笔记 每周学一些J2EE,作点笔记. 目标:能熟练使用Websphere做J2EE的开发工作. 加油!加油!!加油!!! 1. 平台服务概述    1) 为应用编程的部署提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQd8Qz.html" rel="bookmark" class="title">Tiger系列一：从XML中加载属性</a>
					<div>
						xml|加载 JDK1.5(代号Tiger)中更新了java.util.Properties类,提供了从XML文件中读写key-value对属性的简单方法:loadFromXML()和storeToX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAD5Ab.html" rel="bookmark" class="title">ORACLE SQL性能优化系列 &lpar;四&rpar;</a>
					<div>
						oracle|性能|优化   13.       计算记录条数      和一般的观点相反, count(*) 比count(1)稍快 , 当然如果可以通过索引检索,对索引列的计数仍旧是最快的. 例如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKVEBM.html" rel="bookmark" class="title">Redis的发布订阅模式</a>
					<div>
						发布和订阅机制 当一个客户端通过 PUBLISH 命令向订阅者发送信息的时候,我们称这个客户端为发布者(publisher). 而当一个客户端使用 SUBSCRIBE 或者 PSUBSCRIBE 命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2grdb.html" rel="bookmark" class="title">报错：Socket connection closed by the other side &lpar;how rude&excl;&rpar;</a>
					<div>
						最近,公司邮箱发送到另一家公司的时总会退信:Socket connection closed by the other side (how rude!).[插:安装MDaemon的版本是最新的12.x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPKaQz.html" rel="bookmark" class="title">Asp&period;Net文件操作基类</a>
					<div>
						using System; using System.Data; using System.Configuration; using System.Web; using System.Web.Secu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badqOnz.html" rel="bookmark" class="title">清空IE缓存 提高网站访问速度</a>
					<div>
						  清空IE缓存可以有效提高电脑访问网站的速度目前IE浏览器的版本有种首先检查电脑的IE是哪个版本查看IE浏览器版本的方法打开任何一个网页点击上方的帮助选择关于Internet Explorer自动弹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWwaQb.html" rel="bookmark" class="title">win7右键菜单管理无效恢复方法</a>
					<div>
						  一般情况下,操作系统过程中习惯将常用软件储存在右键菜单当中,需要使用的时候直接打开就可以操作,鼠标右键是我们操作电脑中的好帮手,鼠标右键菜单中有着很多选项可以帮助完成各种设置,是一个很实用的功能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oDV7b.html" rel="bookmark" class="title">怎么制作CHM格式电子书</a>
					<div>
						  下载QuickCHM v2.6文件 去百度搜索QuickCHM v2.6 就可以找到好多下载链接,(如下图) 随便选择一下地址把软件下载下来. 安装 Quick CHM v2.6文件 运行Quic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa3dWz.html" rel="bookmark" class="title">如何为设备管理器减减压</a>
					<div>
						  具体方法: 第一步.右键&quot;计算机&quot;菜单选择&quot;属性&quot;,在弹出的页面中点击&quot;设备管理器&quot;. 第二步.在&quot;设备管理器&quot;窗口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGoNrp.html" rel="bookmark" class="title">javascript-怎样用JavaScript实现div盒子的切换</a>
					<div>
						问题描述 怎样用JavaScript实现div盒子的切换 html代码: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg32PAM.html" rel="bookmark" class="title">Android仿QQ消息提示实现弹出式对话框&lowbar;Android</a>
					<div>
						本文在&lt;7种形式的Android Dialog使用实例&gt;在这篇文章的基础进行学习,具体内容如下 1.概述 android原生控件向来以丑著称(新推出的Material Design当另说) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEVoop.html" rel="bookmark" class="title">【基于WPF&plus;OneNote&plus;Oracle的中文图片识别系统阶段总结】之篇二：基于OneNote难点突破和批量识别</a>
					<div>
						      篇二:基于OneNote难点突破和批量识别 [1]开篇概述:在对本章技术介绍前,还是梳理下思路.描述下本章功能和开发过程.做个系统大致了解之后,在粘贴出本节效果图配以完整代码,然后分拆之, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmG25b.html" rel="bookmark" class="title">C&num;模拟文本文档求助</a>
					<div>
						问题描述 小弟最近需要做个类似windows自带的文本文档的东西,用c#写.实现功能:在FORM1中放置文本框跟菜单栏,点击菜单栏上的替换,就会弹出一个对话框,实现替换.如:在对话框输入aaa替换bb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKK1Vb.html" rel="bookmark" class="title">使用语音即时校对输入内容</a>
					<div>
						原文:使用语音即时校对输入内容    此文将介绍利用微软TTS引擎,在录入数据时进行即时语音校对的示例.   这是一项非常简单且非常实用的技术,此功能在行业软件中使用的话,将会使用户的录入准确率大幅提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjdV7M.html" rel="bookmark" class="title">PHP如何过滤&starf;等特殊符号</a>
					<div>
						PHP如何过滤等特殊符号 if(preg_match(&quot;/[ '.,:;*?~`!@#$%^&amp;+=)(&lt;&gt;{}]|\]|\[|\/|\\\|\&quot;|\|/&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5gl9M.html" rel="bookmark" class="title">网络编程程序员看网络协议</a>
					<div>
						网络协议是指对于网络中传输的数据格式的规定.对于网络编程初学者来说,没有必要深入了解TCP/IP协议簇, 所以对于初学者来说去读大部头的&lt;TCP/IP协议&gt;也不是一件很合适的事情,因为深入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rDk7z.html" rel="bookmark" class="title">细说自动化运维的前世今生</a>
					<div>
						作者介绍 朱祥磊,山东移动BOSS系统架构师,负责业务支撑系统架构规划和建设.获国家级创新奖1项.通信行业级科技进步奖2项.移动集团级业务服务创新奖3项,申请发明专利13项.   系统规模的不断发展以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydVe8b.html" rel="bookmark" class="title">现在是投资物联网的好时机吗？</a>
					<div>
						&quot;离开PayPal时我想着:哪些问题可能会对人类造成重大影响?,不是从个人的观点,像是怎么赚大钱,你当然可以那样问,但我想的更像是『那些将会最影响人类未来』的事.&quot;--伊隆?马斯克 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKJX5b.html" rel="bookmark" class="title">DeepMind表示要给人工智能增加想象力？我们来仔细看看吧</a>
					<div>
						至顶网软件频道消息:因击败世界顶尖围棋选手而名声大噪的谷歌人工智能精品店--DeepMind以消灭人类在智力方面的优越感妄想而著称,发现为其软件代理注入想象力有助于它们更好地学习. 本周发表的两篇论文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXZwWz.html" rel="bookmark" class="title">中小网站遭遇成长烦恼：备案花费远超经营成本</a>
					<div>
						李志伟 王舒怀插画:李瑞宁 2004年2月的一天,家住北京通州区的付长宝忽然冒出一个念头:要为所在的&quot;新华联家园&quot;小区做一个网上论坛. &quot;为了方便小区两万多居民的日常联系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR24Ob.html" rel="bookmark" class="title">航空行业运行领域大数据应用</a>
					<div>
						5月26日,企业网D1net携手上海CIO联盟组织&quot;上海CIO沙龙&quot;活动,共同探讨了各行业新技术驱动新业务的信息化实践. 主持人:感谢听云王总的精彩分享,数据显示未来有30%的公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmV51b.html" rel="bookmark" class="title">学数据结构当然会比学第二门语言觉得难</a>
					<div>
						[问题] 贺老师,我有一个问题:在同时学C++和数据结构时,课本是谭浩强编的&lt;C++程序设计&gt;和烟蔚敏编的&lt;数据结构(C语言版)&gt;,为什么我感觉C++挺好学的,觉得这本书写的太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnR1VM.html" rel="bookmark" class="title">《Android 源码设计模式解析与实战》&mdash;&mdash;第1章，第1&period;2节让程序更稳定、更灵活&mdash;&mdash;开闭原则</a>
					<div>
						1.2 让程序更稳定.更灵活--开闭原则 开闭原则的英文全称是Open Close Principle,缩写是OCP,它是Java世界里最基础的设计原则,它指导我们如何建立一个稳定的.灵活的系统.开闭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0emoz.html" rel="bookmark" class="title">javascript实现的样式表&lpar;CSS&rpar; 格式整理与压缩&lowbar;javascript技巧</a>
					<div>
						样式表(CSS) 格式整理与压缩 body * { font-size:10pt; }/* ss sda */ p { clear:left; padding:5px 10px; } td , fie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLo1VM.html" rel="bookmark" class="title">详解ORACLE SEQUENCE用法&lowbar;oracle</a>
					<div>
						在oracle中sequence就是序号,每次取的时候它会自动增加.sequence与表没有关系. 1.Create Sequence 首先要有CREATE SEQUENCE或者CREATE ANY  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmo1Xz.html" rel="bookmark" class="title">字符串匹配</a>
					<div>
						问题描述 如Stringk=ACStringl=ADStringm=ABC怎么实现k与m匹配l与m不匹配 解决方案 解决方案二:你这的匹配是什么意思?解决方案三:看不懂耶??解决方案四:难道是包含于的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YZ5Bz.html" rel="bookmark" class="title">中高端音箱市场地位纠结</a>
					<div>
						第1页:中高端音箱市场地位纠结 泡泡网音箱频道4月17日 要说这中高端类的书架箱在市场的地位也十分纠结,下有低端音箱,价格很霸道,上有高端音箱,音质无法比拟,因此中高端音箱被夹在中间,上下为难,因而受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBJaRb.html" rel="bookmark" class="title">无限级分类&lpar;非递归算法&sol;存储过程版&sol;GUID主键&rpar;完整数据库示例&lowbar;&lpar;2&rpar;插入记录</a>
					<div>
						-- ======================================== -- Author:  &lt;杨俊明,jimmy.yang@cntvs.com&gt; -- Descript ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
